/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

//$('li.dropdown.rem a').on('click', function (event) {
//    event.preventDefault();
//    $(this).parent().toggleClass('open');
//});
//
//$('li.dropdown.rem a').on('blur', function (event) {
//    event.preventDefault();
//    $(this).parent().toggleClass('open');
//});

$(document).on('click', '.reminder-notification-list', function (e) {
  e.stopPropagation();
});

function remiderListViewALL(class_name, url = null){
        event.preventDefault();
        if(url){
            $('.loading').show();
            var formData = {
                        type:"SEE_MORE_REMINDER",
                    }
            $.ajax({
                type: "POST",
                data: formData,
                url: url,
                 success: function (response) {
                     $('.loading').hide();
                     response = JSON.parse(response);
                     //console.log(response);
                     if(response.status){
                         $('li.reminder-notification-li').html(response.html);
                            $('.less').show();
                            $('.'+class_name).removeClass(class_name).addClass('reminder-row-show');
                            $('.see-all').hide();
                     }
                     
                 }
             });
        }else{
           $('.reminder-footer.less').show();
            $('.'+class_name).removeClass(class_name).addClass('reminder-row-show');
            $('reminder-footer.see-all').hide(); 
        }     

}

function remiderListHideALL(class_name){
    event.preventDefault();
    $('.reminder-footer.see-all').show();
    //alert(class_name);
    $('.reminder-row-show').addClass(class_name).removeClass('reminder-row-show');
     $('.reminder-footer.less').hide();
}